package dtgateway

import (
	"net/http"

	"GtDataStore/app/cmd/dtgateway/internal/logic/dtgateway"
	"GtDataStore/app/cmd/dtgateway/internal/svc"
	"GtDataStore/app/cmd/dtgateway/internal/types"
	"github.com/zeromicro/go-zero/rest/httpx"
)

func WorkingChestHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.DcWorkingReq
		if err := httpx.Parse(r, &req); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := dtgateway.NewWorkingChestLogic(r.Context(), svcCtx)
		resp, err := l.WorkingChest(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
