package sha1

import (
	"crypto/sha1"
	"encoding/hex"
	"io/ioutil"
)

func Sha1(input []byte) string {
	hasher := sha1.New()
	hasher.Write(input)

	return hex.EncodeToString(hasher.Sum(nil))
}

func Sha1File(path string) (string, error) {
	data, err := ioutil.ReadFile(path)
	if err != nil {
		return "", err
	}
	return Sha1(data), nil
}
